﻿<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<OutputType>Library</OutputType>
		<GenerateAssemblyInfo>false</GenerateAssemblyInfo>
	</PropertyGroup>
	<ItemGroup>
		<Compile Update="Properties\Strings.Designer.cs">
			<AutoGen>True</AutoGen>
			<DesignTime>True</DesignTime>
			<DependentUpon>Strings.resx</DependentUpon>
		</Compile>
	</ItemGroup>
	<ItemGroup>
		<ProjectReference Include="..\StudioKit.Data.Entity.Identity\StudioKit.Data.Entity.Identity.csproj"/>
		<ProjectReference Include="..\StudioKit.Data\StudioKit.Data.csproj"/>
		<ProjectReference Include="..\StudioKit.Encryption\StudioKit.Encryption.csproj"/>
		<ProjectReference Include="..\StudioKit.ErrorHandling.Interfaces\StudioKit.ErrorHandling.Interfaces.csproj"/>
		<ProjectReference Include="..\StudioKit.ExternalProvider\StudioKit.ExternalProvider.csproj"/>
		<ProjectReference Include="..\StudioKit.TransientFaultHandling.Http\StudioKit.TransientFaultHandling.Http.csproj"/>
		<ProjectReference Include="..\StudioKit.UserInfoService\StudioKit.UserInfoService.csproj"/>
	</ItemGroup>
	<ItemGroup>
		<EmbeddedResource Update="Properties\Strings.resx">
			<Generator>PublicResXFileCodeGenerator</Generator>
			<LastGenOutput>Strings.Designer.cs</LastGenOutput>
		</EmbeddedResource>
	</ItemGroup>
	<ItemGroup>
		<FrameworkReference Include="Microsoft.AspNetCore.App"/>
	</ItemGroup>
</Project>